Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 08 Mar 2023 16:15:48 +0000 (UTC)

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Until now I didn’t receive my order! 

My telephone number is 97242921; I need to talk to a management staff as I have made so far 5 complains without a result!

You have indeed a very lousy delivery section which will affect your business. I myself decided to stop purchasing from you if this is the service you provide. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5813771